Bug 59783 - konqueror crash in parent.window.close()
konqueror crash in parent.window.close()
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-13 04:06 EST by Tim Waugh
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 04:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exit.html (89 bytes, text/html)
2002-02-13 04:07 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2002-02-13 04:06:13 EST
Description of Problem:
Konqueror crashes with some javascript.

Version-Release number of selected component (if applicable):
kdebase-3.0.0-0.cvs20020211.1
kdelibs-3.0.0-0.cvs20020211.1

How Reproducible:
100%

Steps to Reproduce:
1. See attached file.

Actual Results:
(no debugging symbols found)...[New Thread 1024 (LWP 2497)]
0x40fddff9 in wait4 () from /lib/i686/libc.so.6
#0  0x40fddff9 in wait4 () from /lib/i686/libc.so.6
#1  0x4106c690 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e17483 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40608895 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x40e157fc in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x084fede7 in ?? ()
#7  0x4046fd0c in
KXMLGUI::ContainerNode::unplugClient(KXMLGUI::ContainerClient*) () from
/usr/lib/libkdeui.so.4
#8  0x4046fc2f in KXMLGUI::ContainerNode::unplugActions(KXMLGUI::BuildState&)
    () from /usr/lib/libkdeui.so.4
#9  0x4046f65f in KXMLGUI::ContainerNode::destruct(QDomElement,
KXMLGUI::BuildState&) () from /usr/lib/libkdeui.so.4
#10 0x4046f930 in KXMLGUI::ContainerNode::destructChildren(QDomElement const&,
KXMLGUI::BuildState&) () from /usr/lib/libkdeui.so.4
#11 0x4046f64d in KXMLGUI::ContainerNode::destruct(QDomElement,
KXMLGUI::BuildState&) () from /usr/lib/libkdeui.so.4
#12 0x4046f930 in KXMLGUI::ContainerNode::destructChildren(QDomElement const&,
KXMLGUI::BuildState&) () from /usr/lib/libkdeui.so.4
#13 0x4046f64d in KXMLGUI::ContainerNode::destruct(QDomElement,
KXMLGUI::BuildState&) () from /usr/lib/libkdeui.so.4
#14 0x4046ce5d in KXMLGUIFactory::removeClient(KXMLGUIClient*) ()
   from /usr/lib/libkdeui.so.4
#15 0x4007e206 in KParts::Plugin::~Plugin() () from /usr/lib/libkparts.so.2
#16 0x4186eea7 in PluginValidators::~PluginValidators() ()
   from /usr/lib/kde3/libvalidatorsplugin.so
#17 0x408b8d2b in QObject::~QObject() () from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0x4007b851 in KParts::Part::~Part() () from /usr/lib/libkparts.so.2
#19 0x4007c027 in KParts::ReadOnlyPart::~ReadOnlyPart() ()
   from /usr/lib/libkparts.so.2
#20 0x41620bf5 in KHTMLPart::~KHTMLPart() () from /usr/lib/libkhtml.so.4
#21 0x41a2b307 in KJS::WindowQObject::timeoutClose() ()
   from /usr/lib/kde3/kjs_html.so
#22 0x41a2e94b in KJS::WindowQObject::qt_invoke(int, QUObject*) ()
   from /usr/lib/kde3/kjs_html.so
#23 0x408bb51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x40b60ed2 in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x408d4078 in QSignal::activate() () from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x408db143 in QSingleShotTimer::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x4086cce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x4086c5c3 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x40598286 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#30 0x40815eab in qt_activate_timers() () from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x4081397e in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0x4086e2c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x408135bd in QApplication::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0x412bfd07 in main () from /usr/lib/konqueror.so
#35 0x0804ce7a in strcpy ()
#36 0x0804dbc0 in strcpy ()
#37 0x0804e0f9 in strcpy ()
#38 0x0804ee70 in strcpy ()
#39 0x40f3d108 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Tim Waugh 2002-02-13 04:07:12 EST
Created attachment 45500 [details]
exit.html
Comment 2 Bernhard Rosenkraenzer 2002-02-26 09:56:02 EST
Works in the current version.

Note You need to log in before you can comment on or make changes to this bug.